if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TBdotNetBoardCreating]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
begin
CREATE TABLE [dbo].[TBdotNetBoardCreating] (
	[nCODE] [int] NOT NULL ,
	[sTITLE] [varchar] (50) COLLATE Korean_Wansung_CS_AS NULL ,
	[sNAME] [varchar] (50) COLLATE Korean_Wansung_CS_AS NULL ,
	[dUPDATED] [datetime] NULL ,
	[sPASSWORD] [varchar] (50) COLLATE Korean_Wansung_CS_AS NULL ,
	[sMAIL] [varchar] (50) COLLATE Korean_Wansung_CS_AS NULL ,
	[sHOME] [varchar] (50) COLLATE Korean_Wansung_CS_AS NULL ,
	[sBODY] [text] COLLATE Korean_Wansung_CS_AS NULL ,
	[nGROUP] [int] NULL ,
	[nREAD] [int] NULL ,
	[nGLEVEL] [int] NULL ,
	[sFILE1] [varchar] (256) COLLATE Korean_Wansung_CS_AS NULL ,
	[sFILE2] [varchar] (256) COLLATE Korean_Wansung_CS_AS NULL ,
	[sFILE3] [varchar] (256) COLLATE Korean_Wansung_CS_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

ALTER TABLE [dbo].[TBdotNetBoardCreating] WITH NOCHECK ADD 
	CONSTRAINT [PK_TBdotNetBoardCreating] PRIMARY KEY  CLUSTERED 
	(
		[nCODE]
	)  ON [PRIMARY] 

ALTER TABLE [dbo].[TBdotNetBoardCreating] WITH NOCHECK ADD 
	CONSTRAINT [DF_TBdotNetBoardCreating_dUPDATED] DEFAULT (getdate()) FOR [dUPDATED],
	CONSTRAINT [DF_TBdotNetBoardCreating_nGROUP] DEFAULT (0) FOR [nGROUP],
	CONSTRAINT [DF_TBdotNetBoardCreating_nREAD] DEFAULT (0) FOR [nREAD],
	CONSTRAINT [DF_TBdotNetBoardCreating_nGLEVEL] DEFAULT (0) FOR [nGLEVEL]

 CREATE  INDEX [IX_TBdotNetBoardCreating] ON [dbo].[TBdotNetBoardCreating]([nGROUP] DESC , [nCODE]) ON [PRIMARY]
end
