using System;
using System.IO;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace dotNetBoard
{
	/// <summary>
	/// WriteBoard   Դϴ.
	/// </summary>
	public class WriteBoard : System.Web.UI.Page
	{
		private BoardInfo m_bi;

		protected System.Web.UI.WebControls.TextBox CTitle;
		protected System.Web.UI.WebControls.TextBox CTable;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator1;
		protected System.Web.UI.WebControls.Button CInsert;
		protected System.Web.UI.WebControls.Button CEdit;
		protected System.Web.UI.WebControls.Button CDelete;
		protected System.Web.UI.WebControls.CustomValidator CustomValidator1;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator2;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			SqlConnection			conn;
			SqlDataAdapter			da;
			DataSet					ds;
			string					sql;

			m_bi = new BoardInfo(Server.MapPath("."));

			if(!Page.IsPostBack)
			{
				if(Request["EditMode"] == null)
				{
					CInsert.Visible = true;
				}
				else
				{
					CEdit.Visible = true;
					CDelete.Visible = true;
					conn = new SqlConnection(m_bi.GetConnectString());
					conn.Open();
					sql = "select * from TBBoardInfo where nCODE = " + Request["code"];
					da = new SqlDataAdapter(sql, conn);
					ds = new DataSet();
					da.Fill(ds);
					conn.Close();
					if(!ds.Tables[0].Rows[0].IsNull("sTITLE"))
						CTitle.Text = (string)(ds.Tables[0].Rows[0]["sTITLE"]);
					if(!ds.Tables[0].Rows[0].IsNull("sTABLE"))
						CTable.Text = (string)(ds.Tables[0].Rows[0]["sTABLE"]);
					CTable.ReadOnly = true;
				}
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN:  ȣ ASP.NET Web Form ̳ʿ ʿմϴ.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// ̳  ʿ ޼Դϴ.
		///  ޼  ڵ   ʽÿ.
		/// </summary>
		private void InitializeComponent()
		{    
			this.CInsert.Click += new System.EventHandler(this.CInsert_Click);
			this.CEdit.Click += new System.EventHandler(this.CEdit_Click);
			this.CDelete.Click += new System.EventHandler(this.CDelete_Click);
			this.CustomValidator1.ServerValidate += new System.Web.UI.WebControls.ServerValidateEventHandler(this.CustomValidator1_ServerValidate);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void CInsert_Click(object sender, System.EventArgs e)
		{
			if(Page.IsValid) 
			{
				SqlConnection		conn;
				SqlDataAdapter		da;
				string				sql;

				conn = new SqlConnection(m_bi.GetConnectString());
				da = new SqlDataAdapter();
				conn.Open();

				sql = "insert into TBBoardInfo(sTITLE, sTABLE) values (";
				sql += "'" + CTitle.Text + "', ";
				sql += "'" + CTable.Text + "')";
				da.InsertCommand = new SqlCommand();
				da.InsertCommand.CommandText = sql;
				da.InsertCommand.Connection = conn;
				da.InsertCommand.ExecuteNonQuery();

				FileStream		fs = new FileStream(Server.MapPath("./CreateTable.sql"), FileMode.Open, FileAccess.Read);
				StreamReader	tr = new StreamReader(fs);
				string			buf;

				sql = "";
				buf = tr.ReadLine();
				while(buf != null)
				{
					sql += buf + "\r\n";
					buf = tr.ReadLine();
				}

				tr.Close();
				fs.Close();

				SqlCommand		cmd = new SqlCommand(sql.Replace("TBdotNetBoardCreating", CTable.Text), conn);
				cmd.ExecuteNonQuery();

				conn.Close();

				Response.Redirect("list.aspx?db=" + CTable.Text + "&ParentReload=1");
			}
		}

		private void CEdit_Click(object sender, System.EventArgs e)
		{
			SqlConnection		conn;
			SqlDataAdapter		da;
			string				sql;

			conn = new SqlConnection(m_bi.GetConnectString());
			da = new SqlDataAdapter();
			conn.Open();

			sql = "update TBBoardInfo set ";
			sql += "sTITLE = '" + CTitle.Text + "', ";
			sql += "sTABLE = '" + CTable.Text + "' where nCODE = " + Request["code"];
			da.UpdateCommand = new SqlCommand();
			da.UpdateCommand.CommandText = sql;
			da.UpdateCommand.Connection = conn;
			da.UpdateCommand.ExecuteNonQuery();

			conn.Close();

			Response.Redirect("list.aspx?db=" + CTable.Text + "&ParentReload=1");
		}

		private void CDelete_Click(object sender, System.EventArgs e)
		{
			SqlConnection		conn;
			SqlDataAdapter		da;
			string				sql;

			conn = new SqlConnection(m_bi.GetConnectString());
			da = new SqlDataAdapter();
			conn.Open();

			sql = "delete TBBoardInfo where ";
			sql += "nCODE = " + Request["code"];
			da.DeleteCommand = new SqlCommand();
			da.DeleteCommand.CommandText = sql;
			da.DeleteCommand.Connection = conn;
			da.DeleteCommand.ExecuteNonQuery();

			conn.Close();

			Response.Redirect("list.aspx?ParentReload=1");
		}

		private void CustomValidator1_ServerValidate(object source, System.Web.UI.WebControls.ServerValidateEventArgs args)
		{
			if(m_bi.Tables[args.Value] == null)
				args.IsValid = true;
			else
				args.IsValid = false;
		}
	}
}
