using System;
using System.IO;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace dotNetBoard
{
	/// <summary>
	/// admin   Դϴ.
	/// </summary>
	public class setup : System.Web.UI.Page
	{
		private BoardInfo m_bi;

		protected System.Web.UI.WebControls.TextBox CDBServer;
		protected System.Web.UI.WebControls.TextBox CDBName;
		protected System.Web.UI.WebControls.TextBox CDBUser;
		protected System.Web.UI.WebControls.TextBox CDBPassword;
		protected System.Web.UI.WebControls.TextBox CAdminPassword;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator1;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator2;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator3;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator4;
		protected System.Web.UI.WebControls.CompareValidator CompareValidator1;
		protected System.Web.UI.WebControls.Button CSave;
		protected System.Web.UI.WebControls.TextBox CAdminPassword2;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			m_bi = new BoardInfo(Server.MapPath("."));

			if(!Page.IsPostBack)
			{
				if(m_bi.AdminPassword != "" && Session["Admin"].ToString() != "admin")
				{
					Response.Redirect("AdminLogin.aspx?url=setup.aspx");
					return;
				}

				CDBServer.Text = m_bi.DBServer;
				CDBName.Text = m_bi.DBName;
				CDBUser.Text = m_bi.DBUser;
				CDBPassword.Text = m_bi.DBPassword;
				CAdminPassword.Text = m_bi.AdminPassword;
				CAdminPassword2.Text = m_bi.AdminPassword;
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN:  ȣ ASP.NET Web Form ̳ʿ ʿմϴ.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// ̳  ʿ ޼Դϴ.
		///  ޼  ڵ   ʽÿ.
		/// </summary>
		private void InitializeComponent()
		{    
			this.CSave.Click += new System.EventHandler(this.CSave_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void CSave_Click(object sender, System.EventArgs e)
		{
			m_bi.DBServer = CDBServer.Text;
			m_bi.DBName = CDBName.Text;
			m_bi.DBUser = CDBUser.Text;
			m_bi.DBPassword = CDBPassword.Text;
			m_bi.AdminPassword = CAdminPassword.Text;

			m_bi.Save(Server.MapPath("."));

			Session["Admin"] = "admin";

			SqlConnection	conn = new SqlConnection(m_bi.GetConnectString());
			FileStream		fs = new FileStream(Server.MapPath("./BoardInfo.sql"), FileMode.Open, FileAccess.Read);
			StreamReader	tr = new StreamReader(fs);
			string			buf, sql = "";

			buf = tr.ReadLine();
			while(buf != null)
			{
				sql += buf + "\r\n";
				buf = tr.ReadLine();
			}

			tr.Close();
			fs.Close();

			SqlCommand		cmd = new SqlCommand(sql, conn);
			conn.Open();
			cmd.ExecuteNonQuery();
			conn.Close();

			Response.Redirect("admin.aspx");
		}
	}
}
