using System;
using System.IO;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace dotNetBoard
{
	/// <summary>
	/// View   Դϴ.
	/// </summary>
	public class View : System.Web.UI.Page
	{
		private BoardInfo m_bi;

		protected System.Web.UI.WebControls.Label CCode;
		protected System.Web.UI.WebControls.Label CTitle;
		protected System.Web.UI.WebControls.Label CName;
		protected System.Web.UI.WebControls.Label CDate;
		protected System.Web.UI.WebControls.Label CRead;
		protected System.Web.UI.WebControls.HyperLink CMail;
		protected System.Web.UI.WebControls.HyperLink CHome;
		protected System.Web.UI.WebControls.Label CBody;
		protected System.Web.UI.WebControls.DataGrid DGList;
		protected System.Web.UI.WebControls.HyperLink CFile1;
		protected System.Web.UI.WebControls.HyperLink CFile2;
		protected System.Web.UI.WebControls.HyperLink CFile3;
		protected System.Web.UI.WebControls.CheckBox CBSearchTitle;
		protected System.Web.UI.WebControls.CheckBox CBSearchBody;
		protected System.Web.UI.WebControls.CheckBox CBSearchName;
		protected System.Web.UI.WebControls.TextBox CSearchWord;
		protected System.Web.UI.WebControls.Button CSearch;
		protected System.Web.UI.WebControls.Label CPageInfo;
		protected System.Web.UI.WebControls.Label CReccnt;
	
		private DataSet m_ds;

		private void Page_Load(object sender, System.EventArgs e)
		{
			m_bi = new BoardInfo(Server.MapPath("."));

			if(!Page.IsPostBack)
			{
				CSearchWord.Text = Request["SearchWord"];
				if(Request["bSearchTitle"] == "False")
					CBSearchTitle.Checked = false;
				if(Request["bSearchBody"] == "False")
					CBSearchBody.Checked = false;
				if(Request["bSearchName"] == "True")
					CBSearchName.Checked = true;

				string				sql;
				SqlConnection		conn = new SqlConnection(m_bi.GetConnectString());
				int					nRead = 0;

				conn.Open();

				sql = "select * from " + Request["db"] + " where nCODE = " + Request["code"];
				SqlDataAdapter da = new SqlDataAdapter(sql, conn);
				DataSet ds = new DataSet();
				da.Fill(ds);

				CCode.Text = ((int)(ds.Tables[0].Rows[0]["nCODE"])).ToString();
				if(!ds.Tables[0].Rows[0].IsNull("sTITLE"))
					CTitle.Text = (string)(ds.Tables[0].Rows[0]["sTITLE"]);
				if(!ds.Tables[0].Rows[0].IsNull("sNAME"))
					CName.Text = (string)(ds.Tables[0].Rows[0]["sNAME"]);
				if(!ds.Tables[0].Rows[0].IsNull("dUPDATED"))
					CDate.Text = ((DateTime)(ds.Tables[0].Rows[0]["dUPDATED"])).ToString();
				if(!ds.Tables[0].Rows[0].IsNull("nREAD"))
				{
					nRead = (int)(ds.Tables[0].Rows[0]["nREAD"]) + 1;
					CRead.Text = nRead.ToString();
				}
				if(!ds.Tables[0].Rows[0].IsNull("sMAIL"))
				{
					CMail.Text = (string)(ds.Tables[0].Rows[0]["sMAIL"]);
					CMail.NavigateUrl = "mailto:" + (string)(ds.Tables[0].Rows[0]["sMAIL"]);
				}
				if(!ds.Tables[0].Rows[0].IsNull("sHOME"))
				{
					CHome.Text = (string)(ds.Tables[0].Rows[0]["sHOME"]);
					CHome.NavigateUrl = (string)(ds.Tables[0].Rows[0]["sHOME"]);
				}
				if(!ds.Tables[0].Rows[0].IsNull("sFILE1"))
				{
					CFile1.Text = Path.GetFileName((string)(ds.Tables[0].Rows[0]["sFILE1"]));
					CFile1.NavigateUrl = (string)(ds.Tables[0].Rows[0]["sFILE1"]);
				}
				if(!ds.Tables[0].Rows[0].IsNull("sFILE2"))
				{
					CFile2.Text = Path.GetFileName((string)(ds.Tables[0].Rows[0]["sFILE2"]));
					CFile2.NavigateUrl = (string)(ds.Tables[0].Rows[0]["sFILE2"]);
				}
				if(!ds.Tables[0].Rows[0].IsNull("sFILE3"))
				{
					CFile3.Text = Path.GetFileName((string)(ds.Tables[0].Rows[0]["sFILE3"]));
					CFile3.NavigateUrl = (string)(ds.Tables[0].Rows[0]["sFILE3"]);
				}
				if(!ds.Tables[0].Rows[0].IsNull("sBODY"))
					CBody.Text = ((string)(ds.Tables[0].Rows[0]["sBODY"])).Replace("\r\n", "<br>");;

				sql = "update " + Request["db"] + " set ";
				sql += "nREAD = " + nRead.ToString() + " where nCODE = " + Request["code"];
				da.UpdateCommand = new SqlCommand();
				da.UpdateCommand.CommandText = sql;
				da.UpdateCommand.Connection = conn;
				da.UpdateCommand.ExecuteNonQuery();

				bool ssw = false;
				sql = "select nCODE, sTITLE, sNAME, sMAIL, dUPDATED, nREAD, nGLEVEL from " + Request["db"];
				if(CSearchWord.Text != null && CSearchWord.Text != "" && (CBSearchTitle.Checked || CBSearchBody.Checked || CBSearchName.Checked))
				{
					sql += " where";
					if(CBSearchTitle.Checked)
					{
						sql += " sTITLE like '%" + CSearchWord.Text + "%'";
						ssw = true;
					}
					if(CBSearchBody.Checked)
					{
						if(ssw)
							sql += " or";
						sql += " sBODY like '%" + CSearchWord.Text + "%'";
						ssw = true;
					}
					if(CBSearchName.Checked)
					{
						if(ssw)
							sql += " or";
						sql += " sNAME like '%" + CSearchWord.Text + "%'";
					}
				}
				sql += " order by nGROUP desc, nCODE asc";
				SqlDataAdapter da1 = new SqlDataAdapter(sql, conn);
				m_ds = new DataSet();
				da1.Fill(m_ds);
				DGList.DataSource = m_ds;
				if(Request["paging"] != null)
					DGList.CurrentPageIndex = int.Parse(Request["paging"]);
				DGList.DataBind();
				conn.Close();

				CPageInfo.Text = (DGList.CurrentPageIndex + 1).ToString() + " / " + DGList.PageCount.ToString() + " page";
				CReccnt.Text = m_ds.Tables[0].Rows.Count.ToString() + " posted.";
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN:  ȣ ASP.NET Web Form ̳ʿ ʿմϴ.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// ̳  ʿ ޼Դϴ.
		///  ޼  ڵ   ʽÿ.
		/// </summary>
		private void InitializeComponent()
		{    
			this.CSearch.Click += new System.EventHandler(this.CSearch_Click);
			this.DGList.PageIndexChanged += new System.Web.UI.WebControls.DataGridPageChangedEventHandler(this.DGList_PageIndexChanged);
			this.DGList.ItemDataBound += new System.Web.UI.WebControls.DataGridItemEventHandler(this.DGList_ItemDataBound);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void DGList_ItemDataBound(object sender, System.Web.UI.WebControls.DataGridItemEventArgs e)
		{
			int				i;
			TimeSpan		ts = new TimeSpan(1, 0, 0, 0, 0);
			DateTime		dt;

			if(e.Item.DataSetIndex < 0)
				return;

			dt = (DateTime)(m_ds.Tables[0].Rows[e.Item.DataSetIndex]["dUPDATED"]);

			e.Item.Cells[1].Text = "";
			if((int)(m_ds.Tables[0].Rows[e.Item.DataSetIndex]["nGLEVEL"]) > 0)
			{
				for(i = 0; i < (int)(m_ds.Tables[0].Rows[e.Item.DataSetIndex]["nGLEVEL"]); i++)
					e.Item.Cells[1].Text += "&nbsp;&nbsp;&nbsp;";

				e.Item.Cells[1].Text += "<img src='images/re.gif'>";
			}
			if(dt >=  DateTime.Now - ts)
				e.Item.Cells[1].Text += "<img src='images/new.gif'>";
			
			e.Item.Cells[1].Text += " <a href='view.aspx?db=" + Request["db"] + "&code=" + ((int)(m_ds.Tables[0].Rows[e.Item.DataSetIndex]["nCODE"])).ToString() + "&paging=" + DGList.CurrentPageIndex.ToString();
			e.Item.Cells[1].Text += "&SearchWord=" + CSearchWord.Text;
			e.Item.Cells[1].Text += "&bSearchTitle=" + CBSearchTitle.Checked.ToString();
			e.Item.Cells[1].Text += "&bSearchBody=" + CBSearchBody.Checked.ToString();
			e.Item.Cells[1].Text += "&bSearchName=" + CBSearchName.Checked.ToString();
			e.Item.Cells[1].Text += "'>";
			if(int.Parse(Request["code"]) == (int)(m_ds.Tables[0].Rows[e.Item.DataSetIndex]["nCODE"]))
				e.Item.Cells[1].Text += "<STRONG>";
			e.Item.Cells[1].Text += (string)(m_ds.Tables[0].Rows[e.Item.DataSetIndex]["sTITLE"]);
			if(int.Parse(Request["code"]) == (int)(m_ds.Tables[0].Rows[e.Item.DataSetIndex]["nCODE"]))
				e.Item.Cells[1].Text += "</STRONG>";
			e.Item.Cells[1].Text += "</a>";
		}

		private void DGList_PageIndexChanged(object source, System.Web.UI.WebControls.DataGridPageChangedEventArgs e)
		{
			Response.Redirect("List.aspx?db=" + Request["db"] + "&paging=" + e.NewPageIndex.ToString() + "&SearchWord=" + CSearchWord.Text + "&bSearchTitle=" + CBSearchTitle.Checked.ToString() + "&bSearchBody=" + CBSearchBody.Checked.ToString() + "&bSearchName=" + CBSearchName.Checked.ToString());
		}

		private void CSearch_Click(object sender, System.EventArgs e)
		{
			Response.Redirect("List.aspx?db=" + Request["db"] + "&paging=" + DGList.CurrentPageIndex.ToString() + "&SearchWord=" + CSearchWord.Text + "&bSearchTitle=" + CBSearchTitle.Checked.ToString() + "&bSearchBody=" + CBSearchBody.Checked.ToString() + "&bSearchName=" + CBSearchName.Checked.ToString());
		}
	}
}
