using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace dotNetBoard
{
	/// <summary>
	/// admin   Դϴ.
	/// </summary>
	public class admin : System.Web.UI.Page
	{
		private BoardInfo m_bi;
		protected string m_iurl;
		protected System.Web.UI.WebControls.HyperLink HyperLink1;

		protected System.Web.UI.WebControls.DataGrid DGList;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			m_bi = new BoardInfo(Server.MapPath("."));

			if(m_bi.AdminPassword != "" && Session["Admin"].ToString() != "admin")
			{
				Response.Redirect("AdminLogin.aspx?url=admin.aspx");
				return;
			}

			if(!Page.IsPostBack)
			{
				m_iurl = "about:blank";
				if(Request["db"] != null && Request["db"] != "")
					m_iurl = "list.aspx?db=" + Request["db"];
			}

			SqlConnection conn = new SqlConnection(m_bi.GetConnectString());
			string sql = "select * from TBBoardInfo";
			SqlDataAdapter da = new SqlDataAdapter(sql, conn);
			DataSet ds = new DataSet();
			conn.Open();
			da.Fill(ds);
			DGList.DataSource = ds;
			DGList.DataBind();
			conn.Close();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN:  ȣ ASP.NET Web Form ̳ʿ ʿմϴ.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// ̳  ʿ ޼Դϴ.
		///  ޼  ڵ   ʽÿ.
		/// </summary>
		private void InitializeComponent()
		{    
			this.DGList.PageIndexChanged += new System.Web.UI.WebControls.DataGridPageChangedEventHandler(this.DGList_PageIndexChanged);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void DGList_PageIndexChanged(object source, System.Web.UI.WebControls.DataGridPageChangedEventArgs e)
		{
			DGList.CurrentPageIndex = e.NewPageIndex;
			DGList.DataBind();
		}
	}
}
