using System;
using System.IO;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace dotNetBoard
{
	/// <summary>
	/// write   Դϴ.
	/// </summary>
	public class write : System.Web.UI.Page
	{
		private int m_nCode, m_nGroup, m_nGLevel;
		private BoardInfo m_bi;

		protected System.Web.UI.WebControls.TextBox CTitle;
		protected System.Web.UI.WebControls.TextBox CName;
		protected System.Web.UI.WebControls.TextBox CPassword;
		protected System.Web.UI.WebControls.TextBox CEmail;
		protected System.Web.UI.WebControls.TextBox CHome;
		protected System.Web.UI.WebControls.TextBox CBody;
		protected System.Web.UI.WebControls.Button COK;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator1;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator2;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator3;
		protected System.Web.UI.WebControls.CompareValidator CVPassword;
		protected System.Web.UI.HtmlControls.HtmlInputFile File1;
		protected System.Web.UI.HtmlControls.HtmlInputFile File2;
		protected System.Web.UI.HtmlControls.HtmlInputFile File3;

		private void Page_Load(object sender, System.EventArgs e)
		{
			SqlConnection			conn;
			SqlDataAdapter			da, dac;
			DataSet					ds, dsc;
			string					sql;

			m_bi = new BoardInfo(Server.MapPath("."));

			conn = new SqlConnection(m_bi.GetConnectString());
			conn.Open();

			if(!Page.IsPostBack)
			{
				if(Request["EditMode"] != null || Request["ReplyMode"] != null)
				{
					sql = "select * from " + Request["db"] + " where nCODE = " + Request["code"];
					da = new SqlDataAdapter(sql, conn);
					ds = new DataSet();
					da.Fill(ds);
					if(Request["EditMode"] != null)
					{
						if(!ds.Tables[0].Rows[0].IsNull("sTITLE"))
							CTitle.Text = (string)(ds.Tables[0].Rows[0]["sTITLE"]);
						if(!ds.Tables[0].Rows[0].IsNull("sNAME"))
							CName.Text = (string)(ds.Tables[0].Rows[0]["sNAME"]);
						if(!ds.Tables[0].Rows[0].IsNull("sMAIL"))
							CEmail.Text = (string)(ds.Tables[0].Rows[0]["sMAIL"]);
						if(!ds.Tables[0].Rows[0].IsNull("sHOME"))
							CHome.Text = (string)(ds.Tables[0].Rows[0]["sHOME"]);
						if(!ds.Tables[0].Rows[0].IsNull("sBODY"))
							CBody.Text = (string)(ds.Tables[0].Rows[0]["sBODY"]);
						CVPassword.Enabled = true;
						if(!ds.Tables[0].Rows[0].IsNull("sPASSWORD"))
							CVPassword.ValueToCompare = (string)(ds.Tables[0].Rows[0]["sPASSWORD"]);
						if(Session["Admin"].ToString() == "admin")
						{
							RequiredFieldValidator3.Enabled = false;
							CVPassword.Enabled = false;
						}
					}
					else if(Request["ReplyMode"] != null)
					{
						if(!ds.Tables[0].Rows[0].IsNull("sTITLE"))
							CTitle.Text = (string)(ds.Tables[0].Rows[0]["sTITLE"]);
						if(!ds.Tables[0].Rows[0].IsNull("sBODY"))
							CBody.Text = ">" + ((string)(ds.Tables[0].Rows[0]["sBODY"])).Replace("\r\n", "\r\n>");
					}
				}
			}
			else
			{
				sql = "select max(nCODE) from " + Request["db"];
				dac = new SqlDataAdapter(sql, conn);
				dsc = new DataSet();
				dac.Fill(dsc);
				if(dsc.Tables[0].Rows[0][0].ToString() != null && dsc.Tables[0].Rows[0][0].ToString() != "")
					m_nGroup = m_nCode = (int)(dsc.Tables[0].Rows[0][0]) + 1;
				else
					m_nGroup = m_nCode = 1;
				m_nGLevel = 0;
				if(Request["ReplyMode"] != null)
				{
					sql = "select nCODE, nGLEVEL, nGROUP from " + Request["db"] + " where nCODE = " + Request["code"];
					da = new SqlDataAdapter(sql, conn);
					ds = new DataSet();
					da.Fill(ds);
					m_nGroup = (int)(ds.Tables[0].Rows[0]["nGROUP"]);
					m_nGLevel = (int)(ds.Tables[0].Rows[0]["nGLEVEL"]) + 1;
				}
			}
			conn.Close();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN:  ȣ ASP.NET Web Form ̳ʿ ʿմϴ.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// ̳  ʿ ޼Դϴ.
		///  ޼  ڵ   ʽÿ.
		/// </summary>
		private void InitializeComponent()
		{    
			this.COK.Click += new System.EventHandler(this.COK_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void COK_Click(object sender, System.EventArgs e)
		{
			SqlConnection		conn;
			SqlDataAdapter		da, dac;
			DataSet				dsc;
			string				sql, rf1, rf2, rf3;
			string				orf1 = "", orf2 = "", orf3 = "";

			conn = new SqlConnection(m_bi.GetConnectString());
			da = new SqlDataAdapter();
			conn.Open();

			if(Request["EditMode"] != null)
			{
				sql = "select sFILE1, sFILE2, sFILE3 from " + Request["db"] + " where nCODE = " + Request["code"];
				dac = new SqlDataAdapter(sql, conn);
				dsc = new DataSet();
				dac.Fill(dsc);
				if(!dsc.Tables[0].Rows[0].IsNull("sFILE1"))
					orf1 = (string)(dsc.Tables[0].Rows[0]["sFILE1"]);
				if(!dsc.Tables[0].Rows[0].IsNull("sFILE2"))
					orf2 = (string)(dsc.Tables[0].Rows[0]["sFILE2"]);
				if(!dsc.Tables[0].Rows[0].IsNull("sFILE3"))
					orf3 = (string)(dsc.Tables[0].Rows[0]["sFILE3"]);
			}
			rf1 = SaveFile(File1, orf1);
			rf2 = SaveFile(File2, orf2);
			rf3 = SaveFile(File3, orf3);

			if(Request["EditMode"] != null)
			{
				sql = "update " + Request["db"] + " set ";
				sql += "sTITLE = '" + CTitle.Text.Replace("'", "''") + "', ";
				sql += "sNAME = '" + CName.Text.Replace("'", "''") + "', ";
				sql += "sMAIL = '" + CEmail.Text.Replace("'", "''") + "', ";
				sql += "sHOME = '" + CHome.Text.Replace("'", "''") + "', ";
				if(rf1 != "")
					sql += "sFILE1 = '" + rf1 + "', ";
				if(rf2 != "")
					sql += "sFILE2 = '" + rf2 + "', ";
				if(rf3 != "")
					sql += "sFILE3 = '" + rf3 + "', ";
				sql += "sBODY = '" + CBody.Text.Replace("'", "''") + "' where nCODE = " + Request["code"];
				da.UpdateCommand = new SqlCommand();
				da.UpdateCommand.CommandText = sql;
				da.UpdateCommand.Connection = conn;
				da.UpdateCommand.ExecuteNonQuery();
			}
			else
			{
				sql = "insert into " + Request["db"] + "(nCODE, nGROUP, nGLEVEL, sTITLE, sNAME, sPASSWORD, sMAIL, sHOME, sFILE1, sFILE2, sFILE3, sBODY) values (";
				sql += m_nCode.ToString() + ", ";
				sql += m_nGroup.ToString() + ", ";
				sql += m_nGLevel.ToString() + ", ";
				sql += "'" + CTitle.Text.Replace("'", "''") + "', ";
				sql += "'" + CName.Text.Replace("'", "''") + "', ";
				sql += "'" + CPassword.Text.Replace("'", "''") + "', ";
				sql += "'" + CEmail.Text.Replace("'", "''") + "', ";
				sql += "'" + CHome.Text.Replace("'", "''") + "', ";
				sql += "'" + rf1 + "', ";
				sql += "'" + rf2 + "', ";
				sql += "'" + rf3 + "', ";
				sql += "'" + CBody.Text.Replace("'", "''") + "')";
				da.InsertCommand = new SqlCommand();
				da.InsertCommand.CommandText = sql;
				da.InsertCommand.Connection = conn;
				da.InsertCommand.ExecuteNonQuery();
			}
			conn.Close();

			Response.Redirect("list.aspx?db=" + Request["db"]);
		}

		private string SaveFile(HtmlInputFile handle, string ofile)
		{
			int					i;
			string				retval = "";
			string				subroot, subdir = "", rdir = "";
			string				fname, fn, ext;
			string []			fentry;

			if(handle.PostedFile == null || handle.PostedFile.FileName == "")
				return retval;
			
			fn = Path.GetFileNameWithoutExtension(handle.PostedFile.FileName);
			ext = Path.GetExtension(handle.PostedFile.FileName);
			if(ext.ToUpper() == "ASP" || ext.ToUpper() == "JSP" || ext.ToUpper() == "PHP" || ext.ToUpper() == "PL" || ext.ToUpper() == "PERL" || ext.ToUpper() == "CGI")
				return retval;

			fname = Path.GetFileName(handle.PostedFile.FileName);

			subroot = Server.MapPath(".\\" + Request["db"]);
			if(!Directory.Exists(subroot))
				Directory.CreateDirectory(subroot);
			for(i = 0; i < 100; i++)
			{
				rdir = subdir = String.Format("\\Files{0:d2}", i);
				subdir = subroot + subdir;
				if(!Directory.Exists(subdir))
					Directory.CreateDirectory(subdir);
				fentry = Directory.GetFiles(subdir);
				if(fentry.Length < 5000)
					break;
			}

			i = 0;
			while(File.Exists(subdir + "\\" + fname))
			{
				i++;
				fname = String.Format("{0}({1}){2}", fn, i, ext);
			}

			if(Request["EditMode"] != null && ofile != null && ofile != "")
				File.Delete(Server.MapPath(ofile));
			handle.PostedFile.SaveAs(subdir + "\\" + fname);
			retval = Request["db"] + rdir + "\\" + fname;
			retval = retval.Replace("\\", "/");

            return retval;
		}
	}
}
